
## 功能说明

| 业务     | 功能说明                           |
|--------|--------------------------------|
| 用户管理   | 用户的管理配置 如:新增用户、分配用户所属部门、角色、岗位等 |
| 菜单管理   | 配置系统菜单、操作权限、按钮权限标识等            |
| 角色管理   | 角色菜单权限分配、设置角色按机构进行数据范围权限划分     |
| 字典管理   | 对系统中经常使用的一些较为固定的数据进行维护         |
| 参数管理   | 对系统动态配置常用参数                    |
| 登录日志   | 系统登录日志记录查询包含登录异常               |
| 在线用户管理 | 已登录系统的在线用户信息监控与强制踢出操作          |
| 系统接口   | 根据业务代码自动生成相关的api接口文档           |

## 业务模块框架结构

1. DDD 四层架构

![](https://pic.imgdb.cn/item/659df642871b83018aa4e273.png)

2. 服务调用流程

![](https://pic.imgdb.cn/item/648967021ddac507cc0b55d8.jpg)

3. 数据对象传输过程

![](https://pic.imgdb.cn/item/6489678b1ddac507cc0cfff7.jpg)
